Full Time
Gujranwala
Posted 5 months ago

We are looking to hire a skilled WordPress Developer to design and implement attractive and functional websites for our clients. You will be responsible for both back-end and front-end development including the implementation of WordPress themes and plugins as well as site integration and security updates.

To ensure success as a WordPress Developer, you should have in-depth knowledge of front-end programming languages, a good eye for aesthetics, and strong content management skills. Ultimately, a top-class WordPress Developer can create attractive, user-friendly websites that perfectly meet the design and functionality specifications of the client.

Developer Responsibilities:

– Interacting with client & Management to discuss website design and function.
– Designing and building the website front-end.
– Creating the website architecture.
– Designing and managing the website back-end including database and server,
– Generating WordPress themes and plugins.
– Conducting website performance tests.
– Troubleshooting content issues.
– Conducting WordPress training with the client.
– Monitoring the performance of the live website.

WordPress Developer Requirements:

– Bachelor’s degree in Computer Science or a similar field.
– Proven work experience as a WordPress Developer.
– Knowledge of front-end technologies including CSS3, JavaScript, HTML5, and jQuery, PHP
– Knowledge of code versioning tools including Git, Mercurial, and SVN.
– Experience working with debugging tools such as Chrome Inspector and Firebug.
– Good understanding of website architecture and aesthetics.
– Proficiency with PageSpeed with online tools.
– Understanding of making wordpress site super secure and remove all vulnerabilities
– Worked with woo-commerce and enough knowledge about e-commerce stores on wordpress.
– Any knowledge of Laravel is a plus but not necessary.
– Knowledge of SEO is a strong strong plus.
– Ability to manage Projects.
– Good communication skills.

Apply Online

A valid email address is required.